# (oe) undefining these makes the build _real_ quick.
%undefine __find_provides
%undefine __find_requires

Summary:	The PHP Manual in the English language
Name:		php-manual-en
Version:	5.5.7
Release:	%mkrel 2
Group:		Documentation
License:	PHP License
URL:		http://www.php.net/download-docs.php
Source:		http://fr2.php.net/distributions/manual/php_manual_en.tar.gz
Requires:       apache-mod_php
BuildArch:	noarch

%description
The PHP Manual in the English (en) language.

%prep

%setup -q -c -n php_manual_en

# fix perms
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# clean up cvs junk
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%install
install -d %{buildroot}%{_docdir}/%{name}
cp -aRf php-chunked-xhtml/* %{buildroot}%{_docdir}/%{name}/

install -d %{buildroot}%{webappconfdir}
cat > %{buildroot}%{webappconfdir}/%{name}.conf << EOF
Alias /%{name} %{_docdir}/%{name}

<Directory %{_docdir}/%{name}>
%if %{mgaversion} < 3
    Order Allow,Deny
    Allow from All
%endif
%if %{mgaversion} >= 3
    Require all granted
%endif
</Directory>
EOF

install -d %{buildroot}%{_sysconfdir}/php.d
cat > %{buildroot}%{_sysconfdir}/php.d/%{name}.ini << EOF
docref_root = /%{name}/
docref_ext = .html
EOF

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=The PHP %{version} HTML manual in English
Comment=The PHP %{version} HTML manual in English
Exec=%{_bindir}/www-browser %{_docdir}/%{name}/index.html
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Documentation;
EOF

%files
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*
%config(noreplace) %{webappconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/php.d/%{name}.ini
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Jan 29 2016 umeabot <umeabot> 5.5.7-2.mga6
+ Revision: 928736
- Mageia 6 Mass Rebuild

* Mon Dec 16 2013 oden <oden> 5.5.7-1.mga5
+ Revision: 557925
- 5.5.7

* Sat Nov 23 2013 oden <oden> 5.5.6-1.mga4
+ Revision: 552496
- new manual
- 5.5.3

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Wed Jan 23 2013 oden <oden> 5.4.11-1.mga3
+ Revision: 391739
- new html manual
- fix the apache config

* Sun Jan 13 2013 umeabot <umeabot> 5.4.8-2.mga3
+ Revision: 375828
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 08 2012 fwang <fwang> 5.4.8-1.mga3
+ Revision: 316360
- new version 5.4.8

* Wed Sep 12 2012 oden <oden> 5.4.6-1.mga3
+ Revision: 292873
- 5.4.6

* Sun Jul 29 2012 spuhler <spuhler> 5.4.5-1.mga3
+ Revision: 275549
- update to 5.4.5

* Sat Jan 21 2012 spuhler <spuhler> 5.3.9-1.mga2
+ Revision: 199204
- upgrade to 5.3.9

* Thu Dec 22 2011 spuhler <spuhler> 5.3.5-1.mga2
+ Revision: 185611
+ rebuild (emptylog)

* Sun Feb 06 2011 spuhler <spuhler> 5.3.5-1.mga1
+ Revision: 48060
- removed buildroot definition from .spec
- imported package php-manual-en


* Tue Jan 18 2011 Oden Eriksson <oeriksson@mandriva.com> 5.3.5-1mdv2011.0
+ Revision: 631567
- new manual
- added menu stuff, apache and php ini sections

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 5.3.2-2mdv2011.0
+ Revision: 588736
- 5.3.3

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 5.3.2-1mdv2010.1
+ Revision: 514493
- 5.3.2

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 5.3.1-1mdv2010.1
+ Revision: 468101
- rebuilt against php-5.3.1

* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 5.3.1-0.0.RC1.1mdv2010.0
+ Revision: 451501
- new manual

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 5.2.9-2mdv2010.0
+ Revision: 397549
- Rebuild

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 5.2.9-1mdv2009.1
+ Revision: 346387
- 5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 5.2.9-0.0.RC2.1mdv2009.1
+ Revision: 341475
- 5.2.9RC2

* Wed Jan 14 2009 Oden Eriksson <oeriksson@mandriva.com> 5.2.8-1mdv2009.1
+ Revision: 329457
- 5.2.8

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 5.2.7-1mdv2009.1
+ Revision: 310232
- 5.2.7

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 5.2.6-1mdv2009.0
+ Revision: 237752
- 5.2.6

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 5.2.4-1mdv2008.0
+ Revision: 81530
- 5.2.4 (cosmetic release in most cases)

* Sat Jun 02 2007 Oden Eriksson <oeriksson@mandriva.com> 5.2.3-1mdv2008.0
+ Revision: 34519
- 5.2.3

* Mon May 07 2007 Oden Eriksson <oeriksson@mandriva.com> 5.2.2-1mdv2008.0
+ Revision: 24114
- 5.2.2


* Tue Feb 13 2007 Oden Eriksson <oeriksson@mandriva.com> 5.2.1-1mdv2007.0
+ Revision: 120493
- Import php-manual-en

* Tue Feb 13 2007 Oden Eriksson <oeriksson@mandriva.com> 5.2.1-1mdv2007.1
- 5.2.1

* Mon Sep 18 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.6-1mdv2007.0
- 5.1.6

* Mon May 15 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.4-1mdk
- 5.1.4

* Tue May 02 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.2-1mdk
- 5.1.2

* Fri Dec 02 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.1-1mdk
- new release

* Tue Nov 01 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0-1mdk
- new release

* Mon Jun 13 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-1mdk
- new release

* Fri Feb 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-1mdk
- new release
- drop locales deps, it's not required...

* Tue Nov 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9-1mdk
- initial mandrake package

